Bug 67749 - Other: Fonts which are shipped together with the installation do not appear
Summary: Other: Fonts which are shipped together with the installation do not appear
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: possibleRegression
: 69761 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2013-08-04 15:26 UTC by bugzilla
Modified: 2019-02-02 16:10 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
List of available fonts (53.61 KB, image/png)
2013-10-19 12:30 UTC, Dennis Roczek
Details
Example document created from LO 4.0 on mac and not shown properly with LO 4.1 on mac (10.86 KB, application/vnd.oasis.opendocument.text)
2013-12-17 08:05 UTC, Tom Vercauteren
Details
Screenshot from LO 4.0 (155.09 KB, image/png)
2013-12-17 08:05 UTC, Tom Vercauteren
Details
Screenshot from LO 4.1 (151.21 KB, image/png)
2013-12-17 08:06 UTC, Tom Vercauteren
Details
Screenshot from LO 4.1 showing the "missing font" (18.84 KB, image/png)
2013-12-17 08:06 UTC, Tom Vercauteren
Details
Font as it appears in the Mac OSX Finder (28.02 KB, image/png)
2014-02-20 00:13 UTC, rvplan
Details
Font as it appears in Mac OSX Fonts Book (127.33 KB, image/png)
2014-02-20 00:15 UTC, rvplan
Details
Font as it appears in LO 4.2 Fonts list dropbox (60.89 KB, image/png)
2014-02-20 00:17 UTC, rvplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2013-08-04 15:26:39 UTC
Problem description: Fonts which are provided together with the LibreOffice installation do not appear in the application on Mac OS X. This is affected to all fonts which are stored under /LibreOffice.app/Contents/share/fonts/truetype

Steps to reproduce:
1. Check if a font in /LibreOffice.app/Contents/share/fonts/truetype is not installed on the system (e.g. DejaVuSans.ttf)
2. Write a text with LibreOffice on Mac
3. Try to change the font face to a font from item 1 (try to select DejaVuSans in this example)

Current behavior: Fonts which are inside the application folder and not installed on the system cannot be used.

Expected behavior: As in LibreOffice 4.0

              
Operating System: Mac OS X
Version: 4.1.0.4 release
Last worked in: 4.0.4.2 release
Comment 1 Robinson Tryon (qubit) 2013-10-16 16:34:57 UTC
Changing 'regression' -> 'PossibleRegression' until we have independent confirmation of a regression.

Joren -- Could you please test this one? Danke
Comment 2 Jorendc 2013-10-19 09:45:36 UTC
I fail to reproduce this one, tested using Mac OSX 10.8.5 with LibreOffice Versie: 4.1.2.3 Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38; Dutch UI.

All fonts in the truetype folder are listed in the font list...

Kind regards
Joren
Comment 3 Dennis Roczek 2013-10-19 12:30:53 UTC
Created attachment 87853 [details]
List of available fonts
Comment 4 Dennis Roczek 2013-10-19 12:32:27 UTC
I can confirm that bug with Mac OS X 10.7.5 and LibreOffice 4.1.2 (German UI).

The font OpenSans is stored at
/Applications/LibreOffice.app/Contents/share/fonts/truetype

and not at
~/Library/Fonts/
/Network/Library/Fonts/

( https://support.apple.com/kb/HT2435 )

and not available in the font list within LibreOffice Writer.

See also attached screenshot.
Comment 5 Owen Genat (retired) 2013-12-13 23:07:14 UTC
This would appear to be a regression. There are good screenshots showing the difference in handling between LO v4.0.x and v4.1.x in this AskLO thread:

http://ask.libreoffice.org/en/question/27088/font-bug-on-lo-41-when-opening-documents-created-with-lo-40/

Because of the "weights" issue mentioned in this AskLO thread I am wondering if this is not also related to bug 67744 which seemed to appear around the same time? Does the problem occur for all LO-provided fonts (v4.0.x created documents that are opened in v4.1.x) or only those font families (e.g., DejaVu) that have larger numbers of weights?
Comment 6 Tom Vercauteren 2013-12-17 08:05:02 UTC
Created attachment 90865 [details]
Example document created from LO 4.0 on mac and not shown properly with LO 4.1 on mac
Comment 7 Tom Vercauteren 2013-12-17 08:05:43 UTC
Created attachment 90866 [details]
Screenshot from LO 4.0
Comment 8 Tom Vercauteren 2013-12-17 08:06:16 UTC
Created attachment 90867 [details]
Screenshot from LO 4.1
Comment 9 Tom Vercauteren 2013-12-17 08:06:47 UTC
Created attachment 90868 [details]
Screenshot from LO 4.1 showing the "missing font"
Comment 10 rvplan 2014-02-20 00:13:02 UTC
Created attachment 94393 [details]
Font as it appears in the Mac OSX Finder

Roboto is a set of free fonts from Google Android.
These are TTF files
Comment 11 rvplan 2014-02-20 00:15:21 UTC
Created attachment 94394 [details]
Font as it appears in Mac OSX Fonts Book

This is how the Mac Fonts Book app translate the TTF files.
As you can see:
-- The Futura set are dispatched as one font for one file (subtype?)
-- The Roboto set is automaticaly grouped as one set of many files
Comment 12 rvplan 2014-02-20 00:17:01 UTC
Created attachment 94395 [details]
Font as it appears in LO 4.2 Fonts list dropbox

As you can see, this is how the Roboto set appears in the Fonts list dropbox:
we can see only Roboto, not Roboto Bk or Roboto Lt, etc.
Comment 13 Alex Thurgood 2014-06-04 16:26:48 UTC
The ttf fails to install on my OSX, says font is corrupt

The otf version looks ugly in :

LO 4142
LO 4224
Preview
Textedit

Version: 4.4.0.0.alpha0+
Build ID: eea173edaa70959c36085d659b9c6786c2002849

Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 14 Alex Thurgood 2014-06-04 16:28:31 UTC
(In reply to comment #13)

Please ignore that last comment, posted to wrong issue, sorry.
Comment 15 Alex Thurgood 2014-09-30 16:46:05 UTC
These issues are possibly linked to core text changes introduced during 4.1 development - the problem will be trying to find which one(s)
Comment 16 Owen Genat (retired) 2014-10-10 22:53:37 UTC
*** Bug 69761 has been marked as a duplicate of this bug. ***
Comment 17 QA Administrators 2015-10-14 19:56:31 UTC Comment hidden (obsolete)
Comment 18 Robinson Tryon (qubit) 2015-12-09 18:29:05 UTC Comment hidden (obsolete)
Comment 19 Alex Thurgood 2016-09-06 09:55:25 UTC
Is this not a duplicate of bug 69254 ?
Comment 20 Xisco Faulí 2017-09-29 08:48:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929